##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I.  -I../mbase -I../MBase -I../mgeom

# @code 

CINT     = Mc
LIB      = mmc.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MMcTrigHeader.cxx \
	   MMcFadcHeader.cxx \
	   MMcRunHeader.cxx \
	   MMcEvt.cxx \
           MMcTrig.cxx 

SRCFILESCC = MMcConfigRunHeader.cc \
	     MMcCorsikaRunHeader.cc


SRCS    = $(SRCFILES) 

HEADERS = $(SRCFILES:.cxx=.hxx) $(SRCFILESCC:.cc=.h)
OBJS    = $(SRCFILES:.cxx=.o) $(SRCFILESCC:.cc=.o)

############################################################

all: $(LIB)

include ../Makefile.rules 

#clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode
